#version 150 compatibility
// (C) 2009 Dmytry Lavrov. All rights reserved.
in vec3 delta;
in vec3 color;
in float x;
float tdecay(in float t){/// inspired by plank's law
	const float q=0.1;
	return (exp(q)-1.0)/(exp(q/(t))-1.0);
}
void main (void)
{
	float q=1.0/length(delta);
	gl_FragColor = vec4(color*q*tdecay(pow(clamp(x,1E-10,1.0),3.0)), 1.0);//vec4(0.1, 0.1, 0.1, 1.0);
}

